# 2024 Annual Report: SIG Cloud Provider

## Current initiatives and Project Health

1. What work did the SIG do this year that should be highlighted?

* Started a [draft enhancement for Modular Cloud Controller Manager Testing](https://hackmd.io/@elmiko/ByfaBO4JJe)

2. Are there any areas and/or subprojects that your group needs help with (e.g. fewer than 2 active OWNERS)?


3. Did you have community-wide updates in 2024 (e.g. KubeCon talks)?

* KubeCon Paris, [Kubernetes Is FINALLY Removing in-Tree Cloud Providers - Bridget Kromhout & Chris Privitere](https://www.youtube.com/watch?v=IIxQHQHOXs4)
* KubeCon Salt Lake City, [Building a More Resilient Future with Advanced Cloud Provider Testing - Michael McCune & Bridget Kromhout](https://www.youtube.com/watch?v=5FKMFlooC6c)
* Kubernetes Blog, [Spotlight on SIG Cloud Provider](https://kubernetes.io/blog/2024/03/01/sig-cloud-provider-spotlight-2024/)
* Kubernetes Blog, [Completing the largest migration in Kubernetes history](https://kubernetes.io/blog/2024/05/20/completing-cloud-provider-migration/) 

4. KEP work in 2024 (v1.30, v1.31, v1.32):

  - Stable
    - [2395 - Removing In-Tree Cloud Providers](https://github.com/kubernetes/enhancements/tree/master/keps/sig-cloud-provider/2395-removing-in-tree-cloud-providers) - v1.31

## [Subprojects](https://git.k8s.io/community/sig-cloud-provider#subprojects)


**Retired in 2024:**
  - provider-baiducloud
  - cloud-provider-sample

**Continuing:**
  - cloud-provider-extraction-migration
  - kubernetes-cloud-provider
  - provider-alibaba-cloud
  - provider-aws
  - provider-azure
  - provider-equinix-metal
  - provider-gcp
  - provider-huaweicloud
  - provider-ibmcloud
  - provider-oci
  - provider-openstack
  - provider-vsphere
  - apiserver-network-proxy

## [Working groups](https://git.k8s.io/community/sig-cloud-provider#working-groups)

**Continuing:**
 - Structured Logging

## Operational

Operational tasks in [sig-governance.md]:
- [X] [README.md] reviewed for accuracy and updated if needed
- [X] [CONTRIBUTING.md] reviewed for accuracy and updated if needed
- [X] Other contributing docs (e.g. in devel dir or contributor guide) reviewed for accuracy and updated if needed
- [X] Subprojects list and linked OWNERS files in [sigs.yaml] reviewed for accuracy and updated if needed
- [X] SIG leaders (chairs, tech leads, and subproject leads) in [sigs.yaml] are accurate and active, and updated if needed
- [X] Meeting notes and recordings for 2024 are linked from [README.md] and updated/uploaded if needed


[CONTRIBUTING.md]: https://git.k8s.io/community/sig-cloud-provider/CONTRIBUTING.md
[sig-governance.md]: https://git.k8s.io/community/committee-steering/governance/sig-governance.md
[README.md]: https://git.k8s.io/community/sig-cloud-provider/README.md
[sigs.yaml]: https://git.k8s.io/community/sigs.yaml
[devel]: https://git.k8s.io/community/contributors/devel/README.md
