# 2024 Annual Report: WG Data Protection

## Current initiatives and Project Health


1. What work did the WG do this year that should be highlighted?

<!--
   Some example items that might be worth highlighting:
   - artifacts
   - reports
   - white papers
   - work not tracked in KEPs
-->

- KEPs being worked on:
    - Prevent unauthorized volume mode conversion moved to GA in 1.30: https://kubernetes.io/blog/2024/04/30/prevent-unauthorized-volume-mode-conversion-ga/
    - Volume Group Snapshot moved to Beta in 1.32: https://kubernetes.io/blog/2024/12/18/kubernetes-1-32-volume-group-snapshot-beta/
    - Changed Block Tracking KEP was merged and implementation is in progress: https://github.com/kubernetes/enhancements/pull/4082
      - https://github.com/kubernetes/enhancements/tree/master/keps/sig-storage/3314-csi-changed-block-tracking
      - https://github.com/container-storage-interface/spec/pull/551
      - https://github.com/kubernetes-csi/external-snapshot-metadata

- Work in progress whitepaper:
  - [Best Practice for Applications for Data Protection](https://docs.google.com/document/d/17VIOxJEK-tv6Z3b11OD4MSEueHOMLPwInK4T9OSVVwA/edit?tab=t.0)

- KubeCon updates
  - KubeCon NA 2024: https://www.youtube.com/watch?v=5HgFYkhIoyM
  - KubeCon EU 2024: https://www.youtube.com/watch?v=2rfMgYRNoPo

2. Are there any areas and/or subprojects that your group needs help with (e.g. fewer than 2 active OWNERS)?
  - If more end users/companies can attend our meetings, provide feedback, and contribute to design/implementation of the features we are working on, that will be great.

## Operational

Operational tasks in [wg-governance.md]:

- [ ] [README.md] reviewed for accuracy and updated if needed
- [ ] WG leaders in [sigs.yaml] are accurate and active, and updated if needed
- [ ] Meeting notes and recordings for 2024 are linked from [README.md] and updated/uploaded if needed
- [ ] Updates provided to sponsoring SIGs in 2024
      - [$sig-name](https://git.k8s.io/community/$sig-id/)
        - links to email, meeting notes, slides, or recordings, etc
      - [$sig-name](https://git.k8s.io/community/$sig-id/)
        - links to email, meeting notes, slides, or recordings, etc
      -

[wg-governance.md]: https://git.k8s.io/community/committee-steering/governance/wg-governance.md
[README.md]: https://git.k8s.io/community/wg-data-protection/README.md
[sigs.yaml]: https://git.k8s.io/community/sigs.yaml
